<template>
    <div class="bg-blue-100 outline-1 text-sm font-semibold inline-flex items-center p-3 rounded-full"
    :style="{width: changeWidth + 'px', height: changeHeight + 'px', backgroundColor: changeBg, color: changeFontColor}">
        <span class="flex items-center">
            <slot></slot>
        </span>
    </div>
</template>

<script>
    export default {
        props: {
            size: {
                type: String,
                default: 'sm'
            },
            color: {
                type: String,
                default: 'default'
            },
        },
        computed: {
            changeWidth() {
                let width = ''
                if (this.size === 'sm') {
                    width = 27
                } else if (this.size === 'default') {
                    width = 30
                } else if (this.size === 'lg') {
                    width = 33
                } else {
                    width = 36
                }
                return width;
            },
            changeHeight() {
                let height = ''
                if (this.size === 'sm') {
                    height = 27
                } else if (this.size === 'default') {
                    height = 30
                } else if (this.size === 'lg') {
                    height = 33
                } else {
                    height = 36
                }
                return height;
            },
            
            changeBg() {
                let backgroundColor = ''
                if (this.color === 'gray') {
                    backgroundColor = 'gray'
                } else if (this.color === 'yellow') {
                    backgroundColor = 'yellow'
                } else if (this.color === 'red') {
                    backgroundColor = '#870000'
                } else if (this.color === 'green') {
                    backgroundColor = 'green'
                } else {
                    backgroundColor = 'white'
                }
                return backgroundColor;
            },
            changeFontColor() {
                let color = ''
                if(this.color === 'default') {
                    color = 'black'
                } else {
                    color = 'white'
                } return color
            },
        }
    }
</script>

<style>

</style>